petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCGAMGSetCpuPinCoarseGrids

pin reduced grids to CPU

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetCpuPinCoarseGrids(PC pc, PetscBool flg)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - PETSC_TRUE to pin coarse grids to CPU

### Options Database Key

-pc_gamg_cpu_pin_coarse_grids -

### See Also

PCGAMGSetCoarseGridLayoutType(), PCGAMGSetUseParallelCoarseGridSolve()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetCpuPinCoarseGrids_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages